### Method

# WebKit WebsiteDataManager fetch

#### Declaration [src]

    void
    webkit_website_data_manager_fetch (
      WebKitWebsiteDataManager* manager,
      WebKitWebsiteDataTypes types,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get the list of `WebKitWebsiteData` for the given `types`.

When the operation is finished, `callback` will be called. You can then call `webkit_website_data_manager_fetch_finish()` to get the result of the operation.

Available since: | 2.16

#### Parameters

`types` | `WebKitWebsiteDataTypes`
| `WebKitWebsiteDataTypes`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.